FTBA installer on Alpine fails gracefully (#1655)

This commit is contained in:
Geoff Bourne
2022-08-05 21:42:58 -05:00
committed by GitHub
parent 72b6eeba75
commit 94b2d8996d
5 changed files with 69 additions and 50 deletions

View File

@@ -7,6 +7,11 @@ ftbInstallMarker=".ftb-installed"
isDebugging && set -x
set -e
if [[ $(getDistro) = alpine ]]; then
log "ERROR: the FTBA installer is not supported on Alpine. Use the java8-multiarch image tag instead."
exit 1
fi
if ! [[ -v FTB_MODPACK_ID ]]; then
log "ERROR FTB_MODPACK_ID is required with TYPE=FTB"
exit 1